Documentation · API reference
GET/api/v1/sites/{site}/snapshots/frame

Where a copy of a page can be shown for the next hour

Where a copy of a page can be shown for the next hour: an address on the other origin, for a frame.

Parameters

sitein the address
neededA site's id or name
pathin the query
neededThe page's path
devicein the query
`desktop` or `phone`

The answer

Status 200

SnapshotFrame Where a copy can be shown for the next hour.

copy
SnapshotViewneeded
expires
integerneeded
url
stringneededAn address on the other origin, for a frame.
width
integerneededHow wide the frame is for this device, in pixels.

Asking

With your token from Settings
curl -G https://tidekeeper.eu/api/v1/sites/example.org/snapshots/frame \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -d path=…
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/snapshots/frame?path=…", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());